STOFFGraphicDecoder Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
STOFFGraphicDecoder Class Reference

main class used to decode a librevenge::RVNGBinaryData created by More...

`#include <STOFFGraphicDecoder.hxx>`

Inheritance diagram for STOFFGraphicDecoder:

## Public Member Functions
| STOFFGraphicDecoder (librevenge::RVNGDrawingInterface *output)
| constructor More...
| ~STOFFGraphicDecoder () override
| destructor More...
void | insertElement (const char *psName) override
| insert an element More...
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList) override
| insert an element ( with a librevenge::RVNGPropertyList ) More...
void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList, const librevenge::RVNGPropertyListVector &vector)
| insert an element ( with a librevenge::RVNGPropertyListVector parameter ) More...
void | characters (const librevenge::RVNGString &sCharacters) override
| insert a sequence of character More...
Public Member Functions inherited from STOFFPropertyHandler
| STOFFPropertyHandler ()
| constructor More...
virtual | ~STOFFPropertyHandler ()
| destructor More...
bool | checkData (librevenge::RVNGBinaryData const &encoded)
| checks a encoded librevenge::RVNGBinaryData created by STOFFPropertyHandlerEncoder More...
bool | readData (librevenge::RVNGBinaryData const &encoded)
| reads a encoded librevenge::RVNGBinaryData created by STOFFPropertyHandlerEncoder More...

## Private Member Functions
| STOFFGraphicDecoder (STOFFGraphicDecoder const &)
| copy constructor (undefined) More...
STOFFGraphicDecoder | operator= (STOFFGraphicDecoder const &)
| operator= (undefined) More...

## Private Attributes
librevenge::RVNGDrawingInterface * | m_output
| the interface output More...

## Detailed Description

main class used to decode a librevenge::RVNGBinaryData created by

See also
  STOFFGraphicEncoder (with mimeType="image/stoff-odg") and to send it contents to librevenge::RVNGDrawingInterface

## Constructor & Destructor Documentation

## ◆ STOFFGraphicDecoder() [1/2]

STOFFGraphicDecoder::STOFFGraphicDecoder | ( | librevenge::RVNGDrawingInterface * | output | ) |
| inlineexplicit

constructor

Referenced by characters().

## ◆ ~STOFFGraphicDecoder()

STOFFGraphicDecoder::~STOFFGraphicDecoder | ( |  | ) |
| inlineoverride

destructor

## ◆ STOFFGraphicDecoder() [2/2]

STOFFGraphicDecoder::STOFFGraphicDecoder | ( | STOFFGraphicDecoder const & |  | ) |
| private

copy constructor (undefined)

## Member Function Documentation

## ◆ characters()

void STOFFGraphicDecoder::characters | ( | const librevenge::RVNGString & | sCharacters | ) |
| inlineoverridevirtual

insert a sequence of character

Implements STOFFPropertyHandler.

## ◆ insertElement() [1/3]

void STOFFGraphicDecoder::insertElement | ( | const char * | psName | ) |
| overridevirtual

insert an element

Implements STOFFPropertyHandler.

Referenced by ~STOFFGraphicDecoder().

## ◆ insertElement() [2/3]

void STOFFGraphicDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList
| ) |  |
| overridevirtual

insert an element ( with a librevenge::RVNGPropertyList )

Implements STOFFPropertyHandler.

## ◆ insertElement() [3/3]

void STOFFGraphicDecoder::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList,
|  | const librevenge::RVNGPropertyListVector & | vector
| ) |  |

insert an element ( with a librevenge::RVNGPropertyListVector parameter )

## ◆ operator=()

STOFFGraphicDecoder STOFFGraphicDecoder::operator= | ( | STOFFGraphicDecoder const & |  | ) |
| private

operator= (undefined)

Referenced by characters().

## Member Data Documentation

## ◆ m_output

librevenge::RVNGDrawingInterface* STOFFGraphicDecoder::m_output
| private

the interface output

Referenced by characters(), and insertElement().

The documentation for this class was generated from the following files:

- STOFFGraphicDecoder.hxx
- STOFFGraphicDecoder.cxx